Summary:	PNG loader library for OpenGL
Name:		libglpng
Version:	1.45
Release:	1
License:	BSD
Group:		Libraries
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-debian.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:	glpng
%define		_prefix		/usr/X11R6

%description
This is a library for OpenGL to load PNG graphics files as an OpenGL
texture as easily as possible.


%package 	devel
Summary:	Libraries, includes, etc to develop libglpng applications
Group:		Development
Provides:	glpng-devel

%description 	devel
Libraries, includes, etc to develop libglpng applications.

%prep
%setup -q
%patch0 -p0

%build
%{__make} CC="%{__cc}" OPT="%{optflags}"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT%{_prefix} install
rm -f Example/*.exe
mkdir -p $RPM_BUILD_ROOT%{_libdir}; cd $RPM_BUILD_ROOT%{_libdir}
ln -sf ../X11R6/lib/* .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%attr(755,root,root) %{_prefix}/lib/*.so.*
%{_prefix}/lib/*.so
%{_libdir}/*.so.*
%{_libdir}/*.so

%files devel
%defattr(-, root, root)
%{_prefix}/include/GL
%{_prefix}/lib/*.a
%{_libdir}/*.a
